import { z } from "zod";
export declare const UI_EXTENSION_HOST_UPDATE_CONTEXT_EVENT_TYPE = "NF::EUI_HOST::UPDATE_CONTEXT";
export declare const UIExtensionHostUpdateContextEventSchema: z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::UPDATE_CONTEXT">;
    data: z.ZodObject<{
        context: z.ZodDiscriminatedUnion<"surface", [z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.TeamConfiguration>;
            siteId: z.ZodDefault<z.ZodOptional<z.ZodNull>>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId?: null | undefined;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.ConnectConfiguration>;
            configurationId: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            dataLayerId: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteAccessConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteGeneralConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
                providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.VisualEditorConfiguration>;
            configurationId: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId?: string | null | undefined;
        }>]>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
    }, {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId?: null | undefined;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId?: string | null | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}, {
    data: {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId?: null | undefined;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId?: string | null | undefined;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}>;
export type UIExtensionHostUpdateContextEvent = z.output<typeof UIExtensionHostUpdateContextEventSchema>;
export declare const createUIExtensionHostUpdateContextEvent: (data: UIExtensionHostUpdateContextEvent["data"]) => UIExtensionHostUpdateContextEvent;
//# sourceMappingURL=update_context.d.ts.map