import { z } from "zod";
import { Surfaces } from "../surfaces.js";
export declare const SDKContextSchema: z.ZodDiscriminatedUnion<"surface", [z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.TeamConfiguration>;
    siteId: z.ZodDefault<z.ZodOptional<z.ZodNull>>;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.TeamConfiguration;
    siteId: null;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.TeamConfiguration;
    siteId?: null | undefined;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.ConnectConfiguration>;
    configurationId: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    dataLayerId: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.ConnectConfiguration;
    configurationId: string | null;
    dataLayerId: string | null;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.ConnectConfiguration;
    configurationId?: string | null | undefined;
    dataLayerId?: string | null | undefined;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.SiteAccessConfiguration>;
    siteId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteAccessConfiguration;
    siteId: string;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteAccessConfiguration;
    siteId: string;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.SiteBuildDeployConfiguration>;
    siteId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteBuildDeployConfiguration;
    siteId: string;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteBuildDeployConfiguration;
    siteId: string;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.SiteGeneralConfiguration>;
    siteId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteGeneralConfiguration;
    siteId: string;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteGeneralConfiguration;
    siteId: string;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.SiteNotificationsConfiguration>;
    siteId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteNotificationsConfiguration;
    siteId: string;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteNotificationsConfiguration;
    siteId: string;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.SiteConfiguration>;
    siteId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteConfiguration;
    siteId: string;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.SiteConfiguration;
    siteId: string;
}>, z.ZodObject<{
    auth: z.ZodObject<{
        netlifyToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
        providerToken: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        netlifyToken: string | null;
        providerToken: string | null;
    }, {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    }>;
    teamId: z.ZodString;
    theme: z.ZodEnum<["light", "dark"]>;
    surface: z.ZodLiteral<Surfaces.VisualEditorConfiguration>;
    configurationId: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    siteId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.VisualEditorConfiguration;
    siteId: string;
    configurationId: string | null;
}, {
    auth: {
        netlifyToken?: string | null | undefined;
        providerToken?: string | null | undefined;
    };
    teamId: string;
    theme: "light" | "dark";
    surface: Surfaces.VisualEditorConfiguration;
    siteId: string;
    configurationId?: string | null | undefined;
}>]>;
export type SDKContext = z.output<typeof SDKContextSchema>;
//# sourceMappingURL=schema.d.ts.map